% GreensFunctions
%
% Jan Dirk Jansen, TU Delft, October 2018
%

clear vars
close all

syms alpha C Delta_p G nu R x y zeta xi 

R = sqrt((x-zeta)^2 + (y-xi)^2);
A = -alpha*Delta_p/(8*pi*(1-nu)*G);
g_xx = A*((x-zeta)^2/R^2 - (3-4*nu)*log(R));
g_xy = A*(x-zeta)*(y-xi)/R^2;
g_yx = g_xy;
g_yy = A*((y-xi)^2/R^2 - (3-4*nu)*log(R));
u_x = simplify(diff(g_xx,x)+diff(g_xy,y))
u_y = simplify(diff(g_yx,x)+diff(g_yy,y))

g_x = u_x/(alpha*Delta_p*(1-2*nu)/(2*pi*(1-nu)*G))
g_y = u_y/(alpha*Delta_p*(1-2*nu)/(2*pi*(1-nu)*G))

g_x_x = simplify(diff(g_x,x))
g_x_y = simplify(diff(g_x,y))
g_y_x = simplify(diff(g_y,x))
g_y_y = simplify(diff(g_y,y))

check_01 = simplify(g_x_y-g_y_x)
check_02 = simplify(g_x_x+g_y_y)

epsilon_xx = C * g_x_x
epsilon_xy = C * g_x_y
epsilon_yy = C * g_y_y

epsilon = simplify(epsilon_xx+epsilon_yy)
 