% GreensFunctions2D
%
% Jan Dirk Jansen, TU Delft, October 2018
%

clear vars
close all

syms g_xx G large nu R small x y z zeta xi phi R2D
R = sqrt((x-zeta)^2 + (y-xi)^2 + (z-phi)^2);
dRdx = diff(R,x);
d2Rdx2 = diff(dRdx,x);
g_xx = 1/(4*pi*G*R) - (1/(16*pi*G*(1-nu))) * d2Rdx2; 
g_xx_2D = int(g_xx,phi);
mmin = subs(g_xx_2D,phi,small);
mmax = subs(g_xx_2D,phi,large);
sum = 2*(mmax-mmin); 
sum_a = subs(sum,z,0);
sum_b = limit(sum_a,large,inf);
sum_c = limit(sum_b,small,0);
sum_d = subs(sum_c,((x-zeta)^2 + (y-xi)^2), R2D^2);
sum_e = simplify(sum_d,'Steps',10)
