% Inclusion_3D
%
% Jan Dirk Jansen, TU Delft, December 2018
%

clear vars
close all

% Compute the integrals symbolically:
syms G nu R x y z zeta xi psi
R = sqrt((x-zeta)^2 + (y-xi)^2 + (z-psi)^2); 
dRdx = diff(R,x);
d2Rdx2  = diff(dRdx,x);
d2Rdxdy = diff(dRdx,y);
d2Rdxdz = diff(dRdx,z);
g_tilde_xx = ( 1/(4*pi*G*R) ) - ( d2Rdx2 /(16*pi*G*(1-nu)) );
g_tilde_xy = ( 1/(4*pi*G)   ) - ( d2Rdxdy/(16*pi*G*(1-nu)) );
g_tilde_xz = ( 1/(4*pi*G)   ) - ( d2Rdxdz/(16*pi*G*(1-nu)) );
dg_tilde_xx_dx = diff(g_tilde_xx,x);
dg_tilde_xy_dy = diff(g_tilde_xy,y);
dg_tilde_xz_dz = diff(g_tilde_xz,z);
grad_g_tilde_x = simplify(dg_tilde_xx_dx + dg_tilde_xy_dy + dg_tilde_xz_dz,'Steps',20)

clear G nu R x y z zeta xi psi

