% check_atan
%
% Computes the integral of Green's function g_xx for a square area with
% p <= zeta <= q (in the x direction) and r <= xi <= s (in the y direction).
%
% Jan Dirk Jansen, TU Delft, November 2018
%

p = 1;
q = 9;
r = -3;
s = 3;

% x = 9-10*eps;
% y = 0;
x = 5;
y = 3-10*eps;

% Original symbolic output (as taken from Matlab command window after replacing capitals):
% G_xx = atan((r - y)/(p - x)) - atan((r - y)/(q - x)) - atan((s - y)/(p - x)) + atan((s - y)/(q - x));

% Modified output (reordered variables with associated sign switches):
% G_xx_1 = atan((y - r)/(x - p)) - atan((y - r)/(x - q)) - atan((y - s)/(x - p)) + atan((y - s)/(x - q));
G_xx_1 = atan2((y - r),(x - p)) - atan2((y - r),(x - q)) - atan2((y - s),(x - p)) + atan2((y - s),(x - q));

% % Manually simplified:
% G_xx_1 = atan2( (r - s)*(x - q) , ((x - q)^2 + (y - r)*(y - s)) ) ...
%        - atan2( (r - s)*(x - p) , ((x - p)^2 + (y - r)*(y - s)) );

% x = 9+10*eps;
% y = 0;
x = 5;
y = 3+10*eps;

% G_xx_2 = atan((y - r)/(x - p)) - atan((y - r)/(x - q)) - atan((y - s)/(x - p)) + atan((y - s)/(x - q));
G_xx_2 = atan2((y - r),(x - p)) - atan2((y - r),(x - q)) - atan2((y - s),(x - p)) + atan2((y - s),(x - q));
% G_xx_2 = atan2( (r - s)*(x - q) , ((x - q)^2 + (y - r)*(y - s)) ) ...
%        - atan2( (r - s)*(x - p) , ((x - p)^2 + (y - r)*(y - s)) );

(G_xx_1 - G_xx_2)/pi