function disp_fault_plot_const_y(a,b,c,d,Dx,flag_inf,n_pt_x,x_plot_min,Y_1,Y_2,Y_3) 
%
% Creates cross-sectional plots of G_x and G_y for constant values of y. 
%

% Plot G_x for constant y values:
figure
x = zeros(n_pt_x,1);
G_x_plot_1 = zeros(n_pt_x,1);
G_x_plot_2 = zeros(n_pt_x,1);
G_x_plot_3 = zeros(n_pt_x,1);
% % G_x_plot_1_limit_inf = zeros(n_pt_x,1);
% % G_x_plot_1_limit_min_inf = zeros(n_pt_x,1);
% % G_x_plot_2_limit_inf = zeros(n_pt_x,1);
% % G_x_plot_2_limit_min_inf = zeros(n_pt_x,1);
% % G_x_plot_3_limit_inf = zeros(n_pt_x,1);
% % G_x_plot_3_limit_min_inf = zeros(n_pt_x,1);
for i = 1:n_pt_x
    x(i) = x_plot_min + (i-1)*Dx;
    y = Y_1;
    if flag_inf == 1
        G_x_plot_1(i) = Green_vert_g_x_inf(a,b,x(i),y); % limit for infinite reservoir
    else        
        G_x_plot_1(i) = Green_vert_g_x(a,b,c,d,x(i),y);
    end
% %     G_x_plot_1_limit_inf(i) = ; 
% %     G_x_plot_1_limit_min_inf(i) = ;
    y = Y_2;
    if flag_inf == 1
        G_x_plot_2(i) = Green_vert_g_x_inf(a,b,x(i),y); % limit for infinite reservoir
    else        
        G_x_plot_2(i) = Green_vert_g_x(a,b,c,d,x(i),y);
    end
% %     G_x_plot_2_limit_inf(i) = ; 
% %     G_x_plot_2_limit_min_inf(i) = ; 
    y = Y_3;
    if flag_inf == 1
        G_x_plot_3(i) = Green_vert_g_x_inf(a,b,x(i),y); % limit for infinite reservoir
    else        
        G_x_plot_3(i) = Green_vert_g_x(a,b,c,d,x(i),y);
    end
% %     G_x_plot_3_limit_inf(i) = ; 
% %     G_x_plot_3_limit_min_inf(i) = ; 
end
% % plot(x,G_x_plot_1_limit_inf,'--k','LineWidth',1) 
% % hold on
% % plot(x,G_x_plot_1_limit_min_inf,'--k','LineWidth',1) 
% % plot(x,G_x_plot_2_limit_inf,'--k','LineWidth',1) 
% % plot(x,G_x_plot_2_limit_min_inf,'--k','LineWidth',1) 
% % plot(x,G_x_plot_3_limit_inf,'--k','LineWidth',1) 
% % plot(x,G_x_plot_3_limit_min_inf,'--k','LineWidth',1) 
plot(x,G_x_plot_1,'-b','LineWidth',2)
hold on % % %
plot(x,G_x_plot_2,'-r','LineWidth',2)
plot(x,G_x_plot_3,'--g','LineWidth',2)
hold off
xlabel('\itx')
ylabel('\itG_x')
title('\rm\it G_x \rm for constant values of \ity')

% Plot G_y for constant y values: 
figure
x = zeros(n_pt_x,1);
G_y_plot_1 = zeros(n_pt_x,1);
G_y_plot_2 = zeros(n_pt_x,1);
G_y_plot_3 = zeros(n_pt_x,1);
G_y_plot_1_limit_inf = zeros(n_pt_x,1);
G_y_plot_1_limit_min_inf = zeros(n_pt_x,1);
G_y_plot_2_limit_inf = zeros(n_pt_x,1);
G_y_plot_2_limit_min_inf = zeros(n_pt_x,1);
G_y_plot_3_limit_inf = zeros(n_pt_x,1);
G_y_plot_3_limit_min_inf = zeros(n_pt_x,1);
for i = 1:n_pt_x
    x(i) = x_plot_min + (i-1)*Dx;
    y = Y_1;
    if flag_inf == 1
        G_y_plot_1(i) = Green_vert_g_y_inf(a,b,x(i),y); % limit for infinite reservoir
    else        
        G_y_plot_1(i) = Green_vert_g_y(a,b,c,d,x(i),y);
    end
    G_y_plot_1_limit_inf(i) = (pi/2) * (abs(y+a)-abs(y-b)); 
    G_y_plot_1_limit_min_inf(i) = (pi/2) * (abs(y+b)-abs(y-a));
    y = Y_2;
    if flag_inf == 1
        G_y_plot_2(i) = Green_vert_g_y_inf(a,b,x(i),y); % limit for infinite reservoir
    else        
        G_y_plot_2(i) = Green_vert_g_y(a,b,c,d,x(i),y);
    end
    G_y_plot_2_limit_inf(i) = (pi/2) * (abs(y+a)-abs(y-b)); 
    G_y_plot_2_limit_min_inf(i) = (pi/2) * (abs(y+b)-abs(y-a)); 
    y = Y_3;
    if flag_inf == 1
        G_y_plot_3(i) = Green_vert_g_y_inf(a,b,x(i),y); % limit for infinite reservoir
    else        
        G_y_plot_3(i) = Green_vert_g_y(a,b,c,d,x(i),y);
    end
    G_y_plot_3_limit_inf(i) = (pi/2) * (abs(y+a)-abs(y-b)); 
    G_y_plot_3_limit_min_inf(i) = (pi/2) * (abs(y+b)-abs(y-a)); 
end
plot(x,G_y_plot_1_limit_inf,'--k','LineWidth',1) 
hold on
plot(x,G_y_plot_1_limit_min_inf,'--k','LineWidth',1) 
plot(x,G_y_plot_2_limit_inf,'--k','LineWidth',1) 
plot(x,G_y_plot_2_limit_min_inf,'--k','LineWidth',1) 
plot(x,G_y_plot_3_limit_inf,'--k','LineWidth',1) 
plot(x,G_y_plot_3_limit_min_inf,'--k','LineWidth',1) 
plot(x,G_y_plot_1,'-b','LineWidth',2)
plot(x,G_y_plot_2,'-r','LineWidth',2)
plot(x,G_y_plot_3,'--g','LineWidth',2)
hold off
xlabel('\itx')
ylabel('\itG_y')
title('\rm\it G_y \rm for constant values of \ity')
%legend('\ity \rm= -15 m','\ity \rm= 1e-6 m','\ity \rm= 15 m',' Limiting values','Location','northeast')

% Plot G_xy for constant y values: 
figure
x = zeros(n_pt_x,1);
G_xy_plot_1 = zeros(n_pt_x,1);
G_xy_plot_2 = zeros(n_pt_x,1);
G_xy_plot_3 = zeros(n_pt_x,1);
G_xy_plot_4 = zeros(n_pt_x,1);
G_xy_plot_5 = zeros(n_pt_x,1);
G_xy_plot_6 = zeros(n_pt_x,1);
G_xy_plot_7 = zeros(n_pt_x,1);
for i = 1:n_pt_x
    x(i) = x_plot_min + (i-1)*Dx;
    y = 50;
    if flag_inf == 1
        G_xy_plot_1(i) = Green_vert_g_xy_inf(a,b,x(i),y); % limit for infinite reservoir
    else        
        G_xy_plot_1(i) = Green_vert_g_xy(a,b,c,d,x(i),y);
    end
    y = 80;
    if flag_inf == 1
        G_xy_plot_2(i) = Green_vert_g_xy_inf(a,b,x(i),y); % limit for infinite reservoir
    else        
        G_xy_plot_2(i) = Green_vert_g_xy(a,b,c,d,x(i),y);
    end
    y = 100-1e-6;
    if flag_inf == 1
        G_xy_plot_3(i) = Green_vert_g_xy_inf(a,b,x(i),y); % limit for infinite reservoir
    else        
        G_xy_plot_3(i) = Green_vert_g_xy(a,b,c,d,x(i),y);
    end
    y = 150;
    if flag_inf == 1
        G_xy_plot_4(i) = Green_vert_g_xy_inf(a,b,x(i),y); % limit for infinite reservoir
    else        
        G_xy_plot_4(i) = Green_vert_g_xy(a,b,c,d,x(i),y);
    end
    y = 200+1e-6;
    if flag_inf == 1
        G_xy_plot_5(i) = Green_vert_g_xy_inf(a,b,x(i),y); % limit for infinite reservoir
    else        
        G_xy_plot_5(i) = Green_vert_g_xy(a,b,c,d,x(i),y);
    end
    y = 220;
    if flag_inf == 1
        G_xy_plot_6(i) = Green_vert_g_xy_inf(a,b,x(i),y); % limit for infinite reservoir
    else        
        G_xy_plot_6(i) = Green_vert_g_xy(a,b,c,d,x(i),y);
    end
    y = 250;
    if flag_inf == 1
        G_xy_plot_7(i) = Green_vert_g_xy_inf(a,b,x(i),y); % limit for infinite reservoir
    else        
        G_xy_plot_7(i) = Green_vert_g_xy(a,b,c,d,x(i),y);
    end
end
plot(x,G_xy_plot_7,'-g','LineWidth',2)
hold on
plot(x,G_xy_plot_6,'-b','LineWidth',2)
plot(x,G_xy_plot_5,'-r','LineWidth',2)
plot(x,G_xy_plot_4,'k','LineWidth',2)
plot(x,G_xy_plot_3,':r','LineWidth',2)
plot(x,G_xy_plot_2,':b','LineWidth',2)
plot(x,G_xy_plot_1,':g','LineWidth',2)
line([0 0],[-6 6],'LineStyle','-','Color','k','LineWidth',0.5)
line([-400 400],[0 0],'LineStyle','-','Color','k','LineWidth',0.5)
% Repeat to get colored lines on top of black lines without messing up the legend:
plot(x,G_xy_plot_7,'-g','LineWidth',2)
plot(x,G_xy_plot_6,'-b','LineWidth',2)
plot(x,G_xy_plot_5,'-r','LineWidth',2)
plot(x,G_xy_plot_4,'k','LineWidth',2)
plot(x,G_xy_plot_3,':r','LineWidth',2)
plot(x,G_xy_plot_2,':b','LineWidth',2)
plot(x,G_xy_plot_1,':g','LineWidth',2)
hold off
xlabel('\itx \rm(m)')
ylabel('\itG_{xy} \rm(-)')
title('\rm\it G_{xy} \rm for constant values of \ity')
legend('\ity \rm= 50 m','\ity \rm= 80 m','\ity \rm= 100 m','\ity \rm= 150 m','\ity \rm= 200 m','\ity \rm= 220 m','\ity \rm= 250 m','Location','southwest')
%axis([-400 400 -7.5 7.5])
axis([-400 400 -6 6])
