function sigma_sl = get_sigma_slip_right(a,b,C,mu,nu,sigma_xx_eff_0,y)

% Computes the right slip boundary (i.e. for positive shear stresses)
help01 =(1-nu)/(1-2*nu);
if(y <= -b || b < y)
    sigma_sl = -mu*(sigma_xx_eff_0);
else if ( (-b < y && y <= -a) || (a <= y && y < b) )
        sigma_sl = -mu*(sigma_xx_eff_0 + C*2*pi*(help01-1/2));
    else % -a < y < a
        sigma_sl = -mu*(sigma_xx_eff_0 + C*2*pi*(help01-1));
    end
end    
