% script file inclined_fault_01

clear variables
close all

% syms a b theta x y

a = 100;
b = 200;
theta = pi/3;
y_min =  0;
y_max =  300;
n_plot = 2500;

Delta_y = (y_max-y_min) / n_plot;
y_plot = zeros(n_plot,1);
G_xx = zeros(n_plot,1);
sigma_xx = zeros(n_plot,1);
y = -Delta_y;
for i = 1:n_plot
    y = y + Delta_y;
    x = y/tan(theta)+1e-6;
    y_plot(i) = y;
    G_xx(i) =...
        (sin(theta)*cos(theta)/2) *...
        log( ((y-a)^2+(x-a*cot(theta))^2)*((y+a)^2+(x+a*cot(theta))^2) ...
        / ((y-b)^2+(x-b*cot(theta))^2)*((y+b)^2+(x+b*cot(theta))^2) )...
    + (sin(theta))^2 ...
        * atan2( ((a+b)*(y*cot(theta)-x)) ...
        , ((x^2+y^2-a*b*(csc(theta))^2)-(a-b)*(y+x*cot(theta)) ) )...
    - (sin(theta))^2 ...
        * atan2( ((a+b)*(y*cot(theta)-x)) ...
        , ((x^2+y^2-a*b*(csc(theta))^2)+(a-b)*(y+x*cot(theta)) ) );
    if 0 <= y && y < b
       sigma_xx(i) = G_xx(i) - 2*pi;
    else
        sigma_xx(i) = G_xx(i);
    end
end

plot(G_xx,y_plot)
axis([-10 10 0 300])
box on
xlabel('\itG_{xx} \rm(-)')
ylabel('\ity \rm(m)')
figure
plot(sigma_xx,y_plot)
axis([-10 10 0 300])
box on
xlabel('\it\sigma_{xx} \rm(-)')
ylabel('\ity \rm(m)')