function [y_plax,p_plax_0,p_plax_20] = plaxis_results(col,flag_inj,flag_normal)

% Rewrites Plaxis output for use in Matlab plots. 
% Femke Vossepoel, 4 March 2019

if flag_inj == 0 && flag_normal == 0
    array35MPa=xlsread('Exp0919_beta150k_G12000_Phase_0');
    array20MPa=xlsread('Exp0919_beta150k_G12000_prod_Phase_2');
end    
if flag_inj == 0 && flag_normal == 1
    array35MPa=xlsread('Exp0919_beta60_G12000_Phase_0');
    array20MPa=xlsread('Exp0919_beta60_G12000_prod_Phase_2');
end    
if flag_inj == 1 && flag_normal == 0
    array35MPa=xlsread('Exp0919_beta150k_G12000_Phase_0');
    array20MPa=xlsread('Exp0919_beta150k_G12000_inj_Phase_2');
end
if flag_inj == 1 && flag_normal == 1
    array35MPa=xlsread('Exp0919_beta60_G12000_Phase_0');
    array20MPa=xlsread('Exp0919_beta60_G12000_inj_Phase_2');
end    
Y_35MPa=array35MPa(:,5);
Tau1_35MPa=array35MPa(:,col);

[Y_sort_35MPa,index_sort35] = sort(Y_35MPa);
Tau1_sort_35MPa = Tau1_35MPa(index_sort35);

Y_20MPa=array20MPa(:,5);
Tau1_20MPa=array20MPa(:,col);
[~,index_sort20] = sort(Y_20MPa);
Tau1_sort_20MPa = Tau1_20MPa(index_sort20);

Nlength = length(Y_sort_35MPa);
Y_Tau1_array=zeros(3,Nlength);
Y_Tau1_array(1,:)=Y_sort_35MPa;
Y_Tau1_array(2,:)=Tau1_sort_35MPa;
Y_Tau1_array(3,:)=Tau1_sort_20MPa;

y_plax = Y_Tau1_array(1,:)+3500; % vertical distance from center of reservoir, m
p_plax_0 = Y_Tau1_array(2,:); % 0 MPa depletion
p_plax_20 = Y_Tau1_array(3,:); % 20 MPa depletion