% plot_atan2
%
% Jan Dirk Jansen, TU Delft, January 2019
%

clear vars
close all

phi = linspace(-pi,pi);
x = cos(phi);
y = sin(phi);
atan_Matlab = atan(y./x); % Matlab definition
x = cos(atan_Matlab);
y = sin(atan_Matlab);
plot(x,y)
axis square
xlim([-1 1])
ylim([-1 1])

phi = linspace(-pi,pi);
x = cos(phi);
y = sin(phi);
atan2_Matlab = atan2(y,x); % Matlab definition
x = cos(atan2_Matlab);
y = sin(atan2_Matlab);
figure
plot(x,y)
axis square
xlim([-1 1])
ylim([-1 1])

phi = linspace(-pi,pi);
x = cos(phi);
y = sin(phi);
n = length(phi);
atan2_wiki = zeros(n,1);
for i=1:n
    if x(i) > 0
        atan2_wiki(i) = sign(y(i)) * atan(abs(y(i)/x(i))); % Wikipedia definition
    else
        atan2_wiki(i) = sign(y(i)) * (pi-atan(abs(y(i)/x(i))));
    end
end
x = cos(atan2_wiki);
y = sin(atan2_wiki);
figure
plot(x,y)
axis square
xlim([-1 1])
ylim([-1 1])
