function plot_layout_vert(a,b,c,d,x_plot_max,x_plot_min,y_plot_max,y_plot_min)
%
% Creates layout for plots corresponding to a vertical fault.
%
colorbar
axis off
ax1 = gca;
axes('Position',get(ax1,'Position'),...
    'XAxisLocation','bottom',...
    'YAxisLocation','left',...
    'Color','none');
axis([x_plot_min x_plot_max y_plot_min y_plot_max])
box on
xlabel('\it x\rm (m)')
ylabel('\it y\rm (m)')
l = max(-c,x_plot_min); % left boundary for plotting contours
r = min(d,x_plot_max); % right boundary for plotting contours
line([0 r],[b b],'Color','k') % contour of reservoir, top right
line([0 r],[-a -a],'Color','k') % bottom right
line([r r],[-a b],'Color','k') % right
line([l 0],[a a],'Color','k') % top left
line([l 0],[-b -b],'Color','k') % bottom left
line([l l],[-b a],'Color','k') % left
line([0 0],[y_plot_min y_plot_max],'Color','k','LineWidth',1) % fault
