% seismic_moment
%
% Jan Dirk Jansen, TU Delft, January 2019
%

% % Compute seismic moment:
% clear vars
% close all
% syms a b h t u_y_L u_y_R y
% assume(a > 0);
% assumeAlso(b > a);
% assumeAlso(t > 0);
% assumeAlso(h > t);
% u_y_L = (pi/2) * (abs(y+b) - abs(y-a))
% u_y_R = (pi/2) * (abs(y+a) - abs(y-b))
% Delta_u_y_0 = simplify((u_y_L - u_y_R),'Steps',10)
% UU_1 = 2 * int(Delta_u_y_0,y,0,b)
% UU_2 = subs(UU_1,a,(h-t)/2)
% UU_3 = subs(UU_2,b,(h+t)/2)
% UU_4 = simplify(UU_3,'Steps',10)

% Compute shear energy:
clear vars
close all
% syms a b x y
% assume(a > 0);
% assumeAlso(b > a);
% G_xy = log( ( (x^2+(y-a)^2) * (x^2+(y+a)^2) ) / ( (x^2+(y-b)^2) * (x^2+(y+b)^2) ) )
% GG_1 = G_xy^2
% %GG_2 = int(GG_1,x,0,inf)
a = 10;
b = 20;
x = linspace(-40,40)
boundary_1 =  sqrt(2*x.^2+b^2+a^2)/sqrt(2)
boundary_2 = -sqrt(2*x.^2+b^2+a^2)/sqrt(2)
plot(x,boundary_1)
hold on
plot(x,boundary_2)
l = -40;
r = 40;
bot = -30;
top = 30;
line([0 r],[b b],'Color','k') % contour of reservoir, top right
line([0 r],[-a -a],'Color','k') % bottom right
line([r r],[-a b],'Color','k') % right
line([l 0],[a a],'Color','k') % top left
line([l 0],[-b -b],'Color','k') % bottom left
line([l l],[-b a],'Color','k') % left
line([0 0],[bot top],'Color','k','LineWidth',1) % fault
hold off
axis([l r bot top])

