% script file shear_force_plain_num

% Computes the (scaled) shear force along a vertical fault for 0< y < y_0. 

clear variables
close all

a = 100;
b = 200;
n_int = 5000; % number of integration points for 0 < y < y_0, -
y_0 = sqrt((a^2+b^2)/2)

sigma_xy = zeros(n_int,1);
Sigma_xy = zeros(n_int,1);
y_plot = zeros(n_int,1);
Delta_y_int = y_0 / n_int; % step size for numerical integration, m
y = - Delta_y_int;
y_plot(1) = y;
for j=1:n_int-1
    y = y + Delta_y_int;
    y_plot(j+1) = y;
    sigma_xy(j+1) = (1/2)*log(((y-a)^2*(y+a)^2)/((y-b)^2*(y+b)^2));
    Sigma_xy(j+1) = Sigma_xy(j) + sigma_xy(j+1) * Delta_y_int;
end

% Plot results:
plot(-sigma_xy,y_plot,'-r','LineWidth',1.5);
xlabel('\it-\sigma_{xy} \rm(N/m^2)')
ylabel('\ity \rm(m)')
axis([0 8 0 160])

figure
plot(-Sigma_xy,y_plot,'-r','LineWidth',1.5);
xlabel('\it-\Sigma_{xy} \rm(N)')
ylabel('\ity \rm(m)')
axis([0 300 0 160])

Sigma_xy_num = Sigma_xy(end)

Sigma_xy_an = a*log((sqrt(a^2+b^2)+a*sqrt(2))/(sqrt(a^2+b^2)-a*sqrt(2))) ...
    + b*log((sqrt(a^2+b^2)-b*sqrt(2))/(sqrt(a^2+b^2)+b*sqrt(2)))

Sigma_xy_an_2 = (1/2)*( a*log(( (sqrt(a^2+b^2)+a*sqrt(2))/(sqrt(a^2+b^2)-a*sqrt(2)) )^2) ...
    + b*log(( (sqrt(a^2+b^2)-b*sqrt(2))/(sqrt(a^2+b^2)+b*sqrt(2)) )^2) )
