% Checks manual simplification of indefinite integrals of Green's functions.

clear vars
close all

syms x y zeta xi 

gx = (x-zeta) / (2*( (x-zeta)^2 + (y-xi)^2 ) ); % Green's function g_x, [1/m]

g1x1 = int(gx,zeta);
g2x1 = simplify(g1x1,'Steps',10);
g3x1 = int(g2x1,xi);
g4x1 = simplify(g3x1,'Steps',10)

help01 = xi/2 ... % as taken from screen
- (atan((xi - y)/(x - zeta))*(x - zeta))/2 ...
- (xi*log(x^2 - 2*x*zeta + xi^2 - 2*xi*y + y^2 + zeta^2))/4 ...
+ (y*log(x^2 - 2*x*zeta + xi^2 - 2*xi*y + y^2 + zeta^2))/4;

help02 = xi/2 ... % manually simplified
+ atan((y - xi)/(x - zeta)) * (x - zeta)/2 ...
+ log( (x - zeta)^2 + (y - xi)^2) * (y - xi)/4; 

help03 = g4x1 - help01;
simplify(help03,'Steps',10)

help04 = g4x1 - help02;
simplify(help04,'Steps',10)

help05 = help01 - help02;
simplify(help05,'Steps',10)


