function [p_val,y_1,y_2,y_3,y_4] = valley(a,alpha,b,C,mu,nu,sigma_xx_eff_0,sigma_xy_0)

C = -C; % depletion
h = b+a;
t = b-a;
p = 20; % MPa
p_1 = 5;
p_2 = 20;
p_3 = 35;
help01 =(1-nu)/(1-2*nu);
help02 = -pi*help01*(sigma_xy_0+mu*sigma_xx_eff_0)/alpha;
help03 = log( (h-t) / (h+t) );
help04 = help03+pi*mu*(help01-1);
p_val = (help02 / help04) % output, Pa

figure
beta = linspace(0,1.0,5000); % t = beta*h
yyaxis right
G_xy = log( (h-beta*h).^2 ./ (h+beta*h).^2 );
plot(beta,G_xy,':k','LineWidth',2)
hold on
%axis ij
ax1 = gca;
ax1.YColor = 'k';
ylabel('\itG_{xy}\rm(0,0) (-)','color','k')
axis([0 1 -30 0])

yyaxis left
sigma_slip_1 = -mu*(sigma_xx_eff_0 + p_1*C/p*2*pi*(help01-1))/1e6
sigma_slip_2 = -mu*(sigma_xx_eff_0 + p_2*C/p*2*pi*(help01-1))/1e6
sigma_slip_3 = -mu*(sigma_xx_eff_0 + p_3*C/p*2*pi*(help01-1))/1e6
line([0 1],[sigma_slip_1 sigma_slip_1],'LineWidth',2,'Color',[192/255 192/255 192/255])
line([0 1],[sigma_slip_2 sigma_slip_2],'LineWidth',2,'Color',[128/255 128/255 192/255])
line([0 1],[sigma_slip_3 sigma_slip_3],'LineWidth',2,'Color','k')
plot(beta,(sigma_xy_0 + p_1*C/p*G_xy)/1e6,'-b','LineWidth',2)
plot(beta,(sigma_xy_0 + p_2*C/p*G_xy)/1e6,'-r','LineWidth',2)
plot(beta,(sigma_xy_0 + p_3*C/p*G_xy)/1e6,'-g','LineWidth',2)
plot(1/3,( sigma_xy_0 + p_1*C/p*log( (h-h/3).^2 ./ (h+h/3.)^2 ))/1e6,'ob','MarkerFaceColor','b')
plot(1/3,( sigma_xy_0 + p_2*C/p*log( (h-h/3).^2 ./ (h+h/3.)^2 ))/1e6,'or','MarkerFaceColor','r')
plot(1/3,( sigma_xy_0 + p_3*C/p*log( (h-h/3).^2 ./ (h+h/3.)^2 ))/1e6,'og','MarkerFaceColor','g')
hold off
ax1 = gca;
ax1.YColor = 'k';
xlabel('\itt/h \rm(-)','color','k')
ylabel('\it\sigma_{val} \rmand \it\sigma_{slip} \rm(MPa)','color','k')
axis([0 1 10 60])

% Compute intersections of shear stress with right slip boundary:
sigma_slip_1 = -mu*(sigma_xx_eff_0 + C*2*pi*(help01-1));
gamma_1 = exp((sigma_slip_1-sigma_xy_0)/(C/2));
sigma_slip_2 = -mu*(sigma_xx_eff_0 + C*2*pi*(help01-1/2));
gamma_2 = exp((sigma_slip_2-sigma_xy_0)/(C/2));
y_1 = -sqrt(-(sqrt(gamma_2)*(b^2-a^2)-gamma_2*b^2+a^2)/(gamma_2-1))
y_2 = -sqrt((sqrt(gamma_1)*(b^2-a^2)+gamma_1*b^2-a^2)/(gamma_1-1))
y_3 = sqrt((sqrt(gamma_1)*(b^2-a^2)+gamma_1*b^2-a^2)/(gamma_1-1))
y_4 = sqrt(-(sqrt(gamma_2)*(b^2-a^2)-gamma_2*b^2+a^2)/(gamma_2-1))
